跳转到主要内容
资源中心/资源编排/资源编排相关接口
POSTCloudFormation Operations起始版本 2.5.0同步需要认证

检查资源栈模板参数

检查资源栈模板参数

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • paramsObject必填

    请求体参数结构

    • typeString

      模板类型,默认为zstack

    • templateContentString

      模板内容,json字符串

    • uuidString必填

      模板的UUID

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • parametesList必填

    详情参考parametes

    • paramNameString必填

      参数名称

    • typeString必填

      参数类型

    • defaultValueString必填

      默认值

    • descriptionString必填

      资源的详细描述

    • noEchoBoolean必填

      是否在输出中显示

    • labelString必填

      前端显示名称

    • constraintDescriptionString必填

      若校验失败,返回内容

    • resourceTypeString必填

      若参数为ZStack Cloud资源,返回资源类型,否则返回null

请求地址

POST/zstack/v1/cloudformation/stack/check

/zstack/v1/cloudformation/stack/check

操作 ID

CheckStackTemplateParameters

永久链接

请求示例

curl -X POST 'http://{host}/zstack/v1/cloudformation/stack/check' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"type":"<type>","templateContent":"<templateContent>","uuid":"<uuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "parametes": [ { "paramName": "imageUuid", "type": "String", "defaultValue": "ff1373b10ee93b15b347f7abfb4bb5b6", "description": "Image Uuid, represents the image resource to startup one vm instance", "resourceType": "Image" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史